namespace ColaFlow.Modules.ProjectManagement.Domain.Exceptions;

/// <summary>
/// Exception type for not found resources
/// </summary>
public class NotFoundException : Exception
{
    public NotFoundException()
    { }

    public NotFoundException(string message)
        : base(message)
    { }

    public NotFoundException(string message, Exception innerException)
        : base(message, innerException)
    { }

    public NotFoundException(string entityName, object key)
        : base($"Entity '{entityName}' with key '{key}' was not found.")
    { }
}
